/*
 * Program.h
 *
 *  Created on: Dec 14, 2012
 *      Author: SunRiver
 */

#ifndef PROGRAM_H_
#define PROGRAM_H_

#include "PE_Types.h" 			// dodajemy biblioteki Procesor Experta
#include "PE_LDD.h"

// ------------------------------- definiujemy struktur 
typedef struct { 
  LDD_TDeviceData *handle; 		//uchwyt dla LDD device
  volatile uint8_t isSent; 		// ta linijka wykona si tylko 1 raz po starcie 
  uint8_t rxChar; 				// pojedynczy bufor na odbierane znaki
  uint8_t (*rxPutFct)(uint8_t); // calback umieci otrzymany znak w buforze 
} UART_Desc;

void Prog_Start(void); 			//funkcja uruchamiajca nasz program

#endif /* PROGRAM_H_ */
